/* The copyright in this software is being made available under the BSD
 * License, included below. This software may be subject to other third party
 * and contributor rights, including patent rights, and no such rights are
 * granted under this license.  
 *
 * Copyright (c) 2010-2014, ITU/ISO/IEC
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *  * Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *  * Neither the name of the ITU/ISO/IEC nor the names of its contributors may
 *    be used to endorse or promote products derived from this software without
 *    specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef RESAMPLE_H
#define RESAMPLE_H

#if EXT3D

typedef struct   Resize_Parameters
{
  int input_width;
  int input_height;
  int output_width;
  int output_heigh;
  int crop_x0 ;
  int crop_y0 ;
  int crop_w ;
  int crop_h ;  
  int input_chroma_phase_shift_x ;
  int input_chroma_phase_shift_y ;
  int output_chroma_phase_shift_x ;
  int output_chroma_phase_shift_y ;

  int input_stride[3];  //input_stride Y U V
  int output_stride[3]; //output_stride Y U V

  int minValue;
  int maxValue;

  int down_sample;//1:downsampling ,0:upsampling

  imgpel* img_buffer[3];

  int img_stride;

  int* resize_buffer;
  int* resize_buffer_tmp;

  //!<0:Y 1:UV
  int* pos_x[2];
  int* pos_y[2];

  int NormalizeResolutionDepth;
}ResizeParameters;


extern int init_ImageResize(ResizeParameters* ResizeParams, 
                int input_width, int intput_height, int output_width, int output_heigh );

extern void destroy_ImageResize(ResizeParameters* pResizeParams);



extern void generic_upsampler(ResizeParameters* ResizeParams,
               imgpel**low_imgY,imgpel**low_imgU,imgpel**low_imgV,
               imgpel**high_imgY,imgpel**high_imgU,imgpel**high_imgV,int component,int method);
#endif

#endif
